<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook V3.1-Based Variant V1.0//EN" [
 <!ENTITY kmidi "<application>kmidi</application>">
 <!ENTITY % addindex "IGNORE">
 <![ %addindex; [ <!ENTITY docindex SYSTEM "docindex.docbook"> ]]>
]>
<book lang="de">
<bookinfo>
<title>Das KMidi Handbuch</title>
<authorgroup>
<author>
<surname></surname>
</author>
</authorgroup>
<date>Version 1.1, 17. Juni 1998</date>
<releaseinfo><!-- information about this particular version --></releaseinfo>
<abstract>
<para>Dieses Handbuch beschreibt KMidi Version 1.1</para>
<para>Deutsche Uebersetzung der KMidi Dokumentation</para><!-- Merge this with the previous paragraph; it comes from <META NAME="description" CONTENT="..."> --></abstract>
<keywordset>
<keyword>KMidi</keyword>
<keyword>KDE</keyword>
<keyword>deutsch</keyword>
<keyword>Dokumentation</keyword>
</keywordset>
</bookinfo>

<chapter id="einleitung">
<title>Einleitung</title>

<para>KMidi ist ein MIDI-Player und MIDI-WAV-Konverter.</para>

<para>Probieren Sie ihn aus, wenn sie MIDI auf Linux bereits aufgegeben hatten.
Ohne teure Hardware wie eine Gravis Ultrasound oder Sound Blaster AWE64
bekommen Sie einen phantastischen Klang, vergleichbar dem, den Sie mit der
oben genannten Hardware erhalten. <emphasis>Gratis!</emphasis></para>

<para>Der Haken:</para>

<para><itemizedlist>
<listitem>
<para> KMidi verwendet Ihre CPU-Zeit, typischerweise 10-30&percnt; bei 32000Hz auf
einem Pentium 120. Wenn Sie eine langsamere Maschine haben, k&ouml;nnen Sie
einfach die Samplefrequenz mit den Befehlszeilen-Optionen reduzieren.
So sollte es Ihnen auch auf einem 486er m&ouml;glich sein, einen sehr
annehmbaren Klang zu bekommen, ohne Ihre CPU zu &uuml;berfordern.
</para>
</listitem>
<listitem>
<para> Sie ben&ouml;tigen Sound Patches. Einen vollst&auml;ndigen Satz von
General MIDI Patches finden Sie in jedem Ultrasound-Archiv. Die typischen
Speicheranforderungen sind ca. 10 Megabytes.
</para>
</listitem>
</itemizedlist>
</para>

<para>Glauben Sie mir, dies ist ein kleiner Preis f&uuml;r den Klang, den Sie
bekommen!</para>

<para>KMidi unterst&uuml;tzt zur Zeit (Version 1.1) die folgenden Plattformen:</para>

<para><itemizedlist>
<listitem>
<para>Linux</para>
</listitem>
<listitem>
<para>FreeBSD</para>
</listitem>
<listitem>
<para>DEC OSF/1</para>
</listitem>
<listitem>
<para>HP UX</para>
</listitem>
<listitem>
<para>SUN</para>
</listitem>
<listitem>
<para>SUN SOLARIS</para>
</listitem>
</itemizedlist>
</para>

<para>Die Nicht-KDE-Version von TiMidity l&auml;uft m&ouml;glicherweise auch auf
all diesen Plattformen, wurde aber nur unter Linux getestet.</para>

<para>Portierungen auf andere Plattformen sollten einfach sein. Kontaktieren Sie
mich bitte, wenn Sie KMidi auf ein anderes System portiert haben.</para>

<para>KMidi verwendet Tuukka Toivonens TiMidity 0.2i Engine,
Copyright (C) 1995
<ulink url="mailto:toivonen@clinet.fi">Tuukka Toivonen</ulink>. Zusammen mit
KMidi wird auch eine erweiterte Version von Tuukkas Originalprogramm mit
f&uuml;nf verschiedenen Benutzeroberfl&auml;chen ausgeliefert (Informationen
zur Kompilierung von TiMidity finden Sie weiter unten). KMidi und
TiMidity benutzen AWE SoundFont Erweiterungen von
<ulink url="mailto:iwai@dragon.mm.t.u-tokyo.ac.jp">Takashi Iwai</ulink> und
AMD InterWave Erweiterungen von <ulink url="mailto:lee@hawaii.edu">Greg Lee</ulink>, welche es Ihnen erlauben, SoundFonts (.sbk/.sf2-Dateien)
oder IW Patches (.fff/.dat-Dateien) zu benutzen, zus&auml;tzlich zu den
Gravis/Forte .pat-Dateien.</para>

<para>F&uuml;r Details zum Gebrauch schauen Sie in der TiMidity(1)-Man-Page nach.</para>

<para>Es ist mir bewu&szlig;t, da&szlig; dieses Programm noch Kanten und Ecken
hat, und ich bin mir sicher, da&szlig; Sie KMidi zum Absturz bringen
k&ouml;nnen, wenn Sie es lange genug versuchen.
Dennoch glaube ich, da&szlig; KMidi bereits mehr als nur brauchbar ist und
Ihnen viele Stunden Spa&szlig; machen kann. Denken Sie daran, da&szlig;
MIDI-Dateien typischerweise ca. 50 Kilobytes gro&szlig; sind und deshalb so
leicht heruntergeladen werden k&ouml;nnen, da&szlig; Ihnen niemals
gro&szlig;artige MIDIs zum Abspielen ausgehen werden.</para>

<para>Viel Spa&szlig; mit KMidi!</para>

<para><literal remap="tt">Bernd Johannes Wuebben</literal>,
<ulink url="mailto:wuebben@kde.org">wuebben@kde.org</ulink></para>
</chapter>

<chapter id="installation">
<title>Installation</title>

<sect1 id="wie-sie-kmidi-bekommen">
<title>Wie Sie KMidi bekommen</title>

<para>KMidi ist ein Teil des KDE-Projekts (<ulink url="http://www.kde.org">http://www.kde.org</ulink>).
Sie finden KMidi auf <ulink url="ftp://ftp.kde.org/pub/kde/">ftp://ftp.kde.org/pub/kde/</ulink>, dem
Haupt-FTP-Server des KDE-Projekts.
Die Homepage ist <ulink url="http://math.cornell.edu/~wuebben/kde.html">http://math.cornell.edu/&tilde;wuebben/kde.html</ulink></para>
</sect1>

<sect1 id="anforderungen">
<title>Anforderungen</title>

<para>Um KMidi erfolgreich kompilieren zu k&ouml;nnen, brauchen Sie die
neuesten Versionen von <literal remap="tt">libkdecore</literal> und <literal remap="tt">libkdeui</literal>. Alle
ben&ouml;tigten Bibliotheken wie auch KMidi selbst finden Sie auf
<ulink url="ftp://ftp.kde.org/pub/kde/">ftp://ftp.kde.org/pub/kde/</ulink>.</para>
</sect1>

<sect1 id="kompilierung-und-installation">
<title>Kompilierung und Installation</title>

<para>Wenn Sie KMidi bereits installiert haben, so stellen Sie bitte sicher,
da&szlig; Sie eine Sicherungskopie der Konfigurationsdateien haben
(typischerweise zu finden unter &dollar;KDEDIR/share/apps/kmidi/config/),
bevor Sie KMidi installieren, da diese sonst &uuml;berschrieben werden.
Genauso sollten Sie vor der Installation einer neuen Version von TiMidity
(nicht-KDE-Version) die Dateien unter /usr/local/lib/timidity/* sichern.
Wenn Sie umgekehrt eine komplett neue Installation dieser beiden Programme
vornehmen wollen, sollten Sie diese Dateien l&ouml;schen, da sie unter
Umst&auml;nden von der neuen Version nicht &uuml;berschrieben werden.</para>

<para>Wenn Sie die komplette kdemultimedia-Distribution haben, wechseln Sie ins
kdemultimedia-Verzeichnis und tippen:</para>

<para><screen>% ./configure
</screen>
</para>

<para>Bleiben Sie in diesem Verzeichnis, wenn Sie alle Multimedia-Programme
erzeugen wollen oder wechseln Sie ins Verzeichnis kmidi, falls Sie nur
dieses eine Programm wollen. Dort tippen Sie:</para>

<para><screen>% make
% make install
</screen>
</para>

<para>Beachten Sie, da&szlig; Sie f&uuml;r <literal remap="tt">make install</literal> im allgemeinen
Root-Rechte ben&ouml;tigen.</para>

<para>Wenn Sie eine Nicht-KDE-Version von TiMidity erzeugen m&ouml;chten,
&auml;ndern Sie die Datei Makefile.tim nach Wunsch (je nach
favorisierter Benutzeroberfl&auml;che) und tippen:</para>

<para><screen>% make clean
% make -f Makefile.tim
% make -f Makefile.tim install.bin
% make -f Makefile.tim install.lib
% make -f Makefile.tim install.man
</screen>
</para>

<para>Sollten Sie auf Probleme sto&szlig;en, bitte ich Sie, mir diese zu melden.</para>
</sect1>

<sect1 id="patches">
<title>Woher bekommt man einen vollst&auml;ndigen Satz Patches?
</title>

<para>KMidi kann drei Arten von Patch-S&auml;tzen benutzen: GUS-Patches, IW
<literal remap="tt">Fonts</literal> und AWE32 SoundFonts. Ein Patch ist eine Menge von Samples und
Parametern f&uuml;r ein einzelnes Instrument. Bei GUS befindet sich jeder
Patch in einer eigenen Datei, IW Fonts haben alle Samples in einer
<literal remap="tt">.dat</literal>-Datei und die dazugeh&ouml;rigen Parameter in einer
<literal remap="tt">.fff</literal>-Datei. AWE32 SoundFonts packen alles zusammen in eine einzige
<literal remap="tt">.sf2- </literal>oder<literal remap="tt">.sbk</literal>-Datei.</para>

<para>Zuerst einige Sites, wo Sie GUS-Patches finden:</para>

<para><ulink url="mailto:goemon@anime.net">Dan Hollis</ulink>
hat einen Patch-Satz zusammengestellt. Bitte besuchen Sie seine Seite auf
<ulink url="http://www.anime.net/~goemon/timidity/">http://www.anime.net/&tilde;goemon/timidity</ulink>
und helfen Sie ihm, diesen zum besten verf&uuml;gbaren Satz zu machen.</para>

<para><emphasis remap="bf">Neu:</emphasis> Ich habe den oben erw&auml;hnten Patch-Satz auf ftp.kde.org
hinaufgeladen. Der genaue Ort &auml;nder sich gerade.
Schauen Sie sich einfach ein wenig auf dem KDE Server um.</para>

<para>Patches k&ouml;nnen auch als .dep oder .rpm Module im Sunsite Archiv gefunden
werden:</para>

<para><itemizedlist>
<listitem>
<para> Debian (.dep):
<ulink url="ftp://sunsite.unc.edu/pub/Linux/./distributions/debian/bo/source/sound/timidity-patches_0.1.tar.gz">timidity-patches_0.1.tar.gz</ulink>
</para>
</listitem>
<listitem>
<para> .rpm:
<ulink url="ftp://sunsite.unc.edu/pub/Linux/distributions/redhat/contrib/oldrpms/contrib-2.0.x/RPMS/timidity-patches-1-1.i386.rpm">timidity-patches-1-1.i386.rpm</ulink>
</para>
</listitem>
<listitem>
<para> .srpm:
<ulink url="ftp://sunsite.unc.edu/pub/Linux/distributions/redhat/contrib/oldrpms/contrib-2.0.x/SRPMS/timidity-patches-1-1.src.rpm-try2">timidity-patches-1-1.src.rpm-try2</ulink>
</para>
</listitem>
</itemizedlist>
</para>

<para>Ich habe die oben genannten Patches (bis jetzt) nicht ausprobiert. Ich
selbst verwende den Midia Patch-Satz sowie einige zus&auml;tzliche Patches und
Schlagzeug-S&auml;tze. Sie finden den Midia Patch-Satz auf
<ulink url="ftp://archive.cs.umbc.edu/pub/midia/">ftp://archive.cs.umbc.edu/pub/midia/</ulink>.</para>

<para>Weitere Patches finden Sie auf
<ulink url="ftp://ftp.cdrom.com/pub/gus/sound/patches/files/">ftp://ftp.cdrom.com/pub/gus/sound/patches/files/</ulink>.
(Probieren Sie die gsdrum- und wow-Patches aus!)</para>

<para>Vincent Pagel hat eine Sammlung von Patches zusammengestellt. Dieser Link
kann nur w&auml;hrend der Nachtstunden in Paris erreicht werden:
<ulink url="ftp://sig.enst.fr/pub/midi/instruments/">ftp://sig.enst.fr/pub/midi/instruments/</ulink>
Sie finden die Konfigurationsdatei, die zu seinem Patch-Satz pa&szlig;t auf:
<ulink url="ftp://sig.enst.fr/pub/midi/timidity_pagel.cfg">ftp://sig.enst.fr/pub/midi/timidity_pagel.cfg</ulink></para>

<para>Besuchen Sie auch die TimidityPage
<ulink url="http://www.clinet.fi/~toivonen/timidity/">http://www.clinet.fi/~toivonen/timidity/</ulink></para>

<para>und Takashis Homepage:
<ulink url="http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/midi.html#TiMidity">http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/midi.html#TiMidity</ulink>
Takashis Homepage empfiehlt den 8 MB AWE32 SoundFont <literal remap="tt">chaos8m.sf2</literal> und
den 12 MB gro&szlig;en AWE32 SoundFont <literal remap="tt">chaos12m.sf2</literal>, welche ganz gut
sind. Sie sind erh&auml;ltlich unter <ulink url="http://soback.kornet.nm.kr/~chaos/sbawe32/sbawe32.htm">http://soback.kornet.nm.kr/~chaos/sbawe32/sbawe32.htm</ulink>, abgelegt als
selbstextrahierende <literal remap="tt">*.exe</literal>-Datei.</para>

<para>Unter <ulink url="ftp://sdc.wtm.tudelft.nl/pub/music/soundbank">ftp://sdc.wtm.tudelft.nl/pub/music/soundbank</ulink> finden Sie
einige freie IW-Fonts. Der einzige IW-Font mit Stereo-Patches, den ich kenne,
kostet $33 auf CD, siehe unter <ulink url="http://sdc.wtm.tudelft.nl/utopia">http://sdc.wtm.tudelft.nl/utopia</ulink></para>

<sect2 id="installation-von-patch-stzen">
<title>Installation von Patch-S&auml;tzen</title>

<para>Jeder der oben genannten Patch-S&auml;tze (Sie ben&ouml;tigen nur einen)
sollte eine <literal remap="tt">.cfg</literal>-Datei enthalten, &auml;hnlich jener, die in KMidi
enthalten ist und sich in <literal remap="tt">$KDEDIR/share/apps/kmidi/config</literal> befindet.</para>

<para>KMidi hat f&uuml;r eine Reihe von verbreiteten Patch-S&auml;tzen - wie den
Midia-Satz - fertige Konfigurationsdateien f&uuml;r Sie bereit.</para>

<para>Zum Abschu&szlig; der Installation eines Patch-Satzes mu&szlig; die Datei
<literal remap="tt">timidity.cfg</literal> g&auml;ndert und die Konfigurationsdatei des
heruntergeladenen Patch-Satzes eingebunden werden. (Wenn Sie einen Blick in die
<literal remap="tt">timidity.cfg</literal>-Datei werfen, wird Ihnen v&ouml;llig klar, wor&uuml;ber
ich spreche.)</para>

<para>Das war's. Jetzt k&ouml;nnen Sie auch die anderen MIDIs abspielen, die sich im
KMidi Paket befinden.</para>
</sect2>

<sect2 id="verschiedenes">
<title>Verschiedenes</title>

<para>Gelegentlich werden Sie erleben, da&szlig; KMidi einen Patch f&uuml;r ein
spezielles Instrument nicht findet. (Öffnen Sie das Informationsfenster, um
eine Fehlermeldung zu sehen.) In diesem Fall m&uuml;ssen Sie sich nur den
fehlenden Patch besorgen und ihn installieren, indem Sie ihn in das Verzeichnis
<literal remap="tt">patch/</literal> kopieren und Ihre Konfigurationsdatei bearbeiten, um KMidi
anzuzeigen, da&szlig; der neue Patch nun verf&uuml;gbar ist.</para>

<para>Manchmal klingt auch ein bestimmtes Instrument nicht besonders gut. In
diesem Fall k&ouml;nnen Sie sich in einem der Ultrasound-Archive einen neuen
Patch besorgen und damit den schlechteren ersetzen. Wie Sie feststellen werden,
ist es v&ouml;llig Ihnen &uuml;berlassen, wie gut jedes Instrument klingt.
Sie k&ouml;nnen sogar Ihre eigenen Patches mit dem pat2wav Programm herstellen,
das in der KMidi-Distribution enthalten ist.</para>
</sect2>
</sect1>
</chapter>

<chapter id="anwendung">
<title>Anwendung</title>

<sect1 id="allgemeines-zur-anwendung">
<title>Allgemeines zur Anwendung</title>

<para>Klicken Sie auf den Knopf <emphasis remap="bf">Auswerfen</emphasis>, um den Dialog mit Liederlisten zu
&ouml;ffnen. W&auml;hlen Sie eine MIDI-Datei durch einen Doppelklick aus.
Ich habe ein paar MIDI-Dateien ins Verzeichnis <literal remap="tt">midi/</literal> der
Distribution kopiert.</para>

<para>Um richtig mit KMidi zu arbeiten, ben&ouml;tigen Sie einen
vollst&auml;ndigen General MIDI Patch-Satz.</para>
</sect1>

<sect1 id="midi-dateinamen">
<title>Midi-Dateinamen</title>

<para>KMidi ersetzt jedes ``<literal remap="tt">&lowbar;</literal>'' im Namen einer MIDI-Datei mit einem
Leerzeichen und schneidet gegebenenfalls die Endung ``<literal remap="tt">.mid</literal>'' oder
``<literal remap="tt">.MID</literal>'' ab.</para>
</sect1>

<sect1 id="befehlszeilen-parameter">
<title>Befehlszeilen-Parameter</title>

<para><screen>./kmidi -h
 TiMidity version 0.2i (C) 1995 Tuukka Toivonen &lt;toivonen@clinet.fi&gt;
 TiMidity is free software and comes with ABSOLUTELY NO WARRANTY.

 KMidi version 1.1.1 MIDI und WAVE player/converter
 Copyright (C) 1997 Bernd Johannes Wuebben &lt;wuebben@math.cornell.edu&gt;

 KMidi is free software and comes with ABSOLUTELY NO WARRANTY.

Anwendung:
  kmidi [Optionen] Dateiname [...]

  Benutzen Sie "-" als Dateinamen, um eine MIDI-Datei von stdin zu lesen

Optionen:
  -o Datei Ausgabe in eine andere (Ger&auml;te-)Datei (Verwenden Sie "-" f&uuml;r
           die Standardausgabe)
  -O Modus W&auml;hle Ausgabe-Modus und -Format (siehe unten)
  -s f     W&auml;hle die Samplingfrequenz f (Hz oder kHz)
  -a       Schalte den Antialiasing Filter ein
  -f       Schalte den Fast Decay Modus ab
  -p n     Erlaube n-stimmige Polyphonie
  -A n     Verst&auml;rke die Laust&auml;rke um n Prozent (Dies kann Clipping
           bewirken)
  -C n     Setze das Verh&auml;ltnis der Sample- und Kontrollfrequenzen

  -L Verz  F&uuml;ge Verz zum Suchpfad hinzu
  -c Datei Lies zus&auml;tzliche Konfiguration aus Datei
  -I n     Verwende das Programm n als Voreinstellung
  -P Datei Verwende die Patch-Datei f&uuml;r alle Programme
  -D n     Spiele das Schlagzeug auf Kanal n
  -Q n     Ignoriere den Kanal n
  -F       Schalte schnelles Panning ein
  -U       L&ouml;sche die Instrumente zwischen dem Abspielen von zwei MIDI-
           Dateien aus dem Speicher

  -i Modus W&auml;hle die Benutzerschnittstelle (siehe unten)
  -B n     Setze die Anzahl der Puffer-Fragmente
  -h       Zeige diese Hilfe an (auf englisch)

Verf&uuml;gbare Ausgabemodi (-O Option):

  -Od      Linux dsp Ger&auml;t
  -Ow      RIFF WAVE Datei
  -Or      Rohe Waveform Daten

Ausgabeformat-Optionen (zur -O? Option hinzuf&uuml;gen):

   `8'     8-bit Samplebreite
   `1'     16-bit Samplebreite
   `U'     uLaw kodiert
   `l'     Linear kodiert
   `M'     einstimmig (Mono)
   `S'     Stereo
   `s'     Vorzeichenbehaftete Ausgabe
   `u'     Vorzeichenlose Ausgabe
   `x'     Ausgabe mit vertauschten Bytes

Verf&uuml;gbare Benutzerschnittstellen (-i Option):

  -iq      KMidi mit Qt Schnittstelle
  -id      Befehlszeilen-Schnittstelle

Schnittstellen-Optionen (zur -i? Option hinzuf&uuml;gen):

   `v'     ausf&uuml;hrliche Angaben
   `q'     wenige  Angaben
   `t'     alles mitschreiben

</screen>
</para>
</sect1>
</chapter>

<chapter id="fragen-und-antworten">
<title>Fragen und Antworten</title>

<sect1 id="woher-bekomme-ich-einen-vollstndigen-patch-s">
<title>Woher bekomme ich einen vollst&auml;ndigen Patch-Satz?</title>

<para>Bitte lesen Sie dazu den entsprechenden <link linkend="patches">Abschnitt</link>
im Kapitel zur Installation von KMidi.</para>
</sect1>
</chapter>

<chapter id="lizenzbestimmungen">
<title>Lizenzbestimmungen</title>

<para><screen>
KMidi Copyright 1997 Bernd Johannes Wuebben
                     wuebben@math.cornell.edu

KMidi verwendet Tuukka Toivonens TiMidity 0.2i Engine,
Copyright (C) 1995 Tuukka Toivonen &lt;toivonen@clinet.fi&gt;
und Takashi Iwais &lt;iwai@dragon.mm.t.u-tokyo.ac.jp&gt; neueste Sound Font Patches.

Dieses Programm ist freie Software; Sie k&ouml;nnen es weitergeben und/oder
ver&auml;ndern entsprechend den Bestimmungen der GNU General Public License,
wie diese von der Free Software Foundation ver&ouml;ffentlicht wurden, entweder
entsprechend Version 2 der Bestimmungen oder (nach Ihrer Wahl) jeder
sp&auml;teren Version.

Dieses Programm wird in der Hoffnung, da&szlig; es n&uuml;tzlich ist, aber
OHNE EINE GARANTIE verbreitet; sogar ohne die implizite Garantie der
MARKTGÄNGIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK. Lesen Sie die GNU
General Public License um genauere Datails zu erfahren.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben; wenn nicht, so schreiben Sie an die
Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(Bitte beachten Sie, da&szlig; die englische Version dieser Lizenz allein
ma&szlig;gebend ist)

</screen>
</para>
</chapter>
<![ %addindex; [ &docindex; ]]>
</book>
<!--
Local Variables:
mode: sgml
sgml-omittag: nil
sgml-shorttag: t
sgml-general-insert-case: lower
End:
-->